/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-20 14:24:58
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-09-03 18:13:36
 * @FilePath: \Game-Backstage-Management-System\src\router\appManage.ts
 * @Description:
 *
 */

export default [
  {
    path: '/appManage',
    redirect: '/appManage/gameBaseInfo',
    name: 'AppManage',
    children: [
      {
        path: 'gameBaseInfo',
        name: 'GameBaseInfo',
        icon: 'Memo',
        cnName: '基本信息',
        component: () => import('@/views/AppManage/BaseInfoView.vue'),
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'eventManage',
        name: 'EventManage',
        icon: 'Management',
        cnName: '事件管理',
        showChild: false,
        component: () => import('@/views/AppManage/EventManageView.vue'),
        redirect: '/appManage/eventManage/eventTable',
        meta: {
          needKeepAlive: false
        },
        children: [
          {
            path: 'eventDetail/:eventID?', // 注意：这里没有使用动态参数，而是使用查询参数
            name: 'EventDetail',
            component: () => import('@/views/AppManage/EventDetailsView.vue')
          },
          {
            path: 'eventTable',
            name: 'EventTable',
            component: () => import('@/views/AppManage/EventMangeTable.vue')
          }
        ]
      }
    ]
  }
]
